function onBegin()
disableMovement()

  local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")
	coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_DeepWell_RoadEnd"))

  coroutine.yield(luaCutscenesUtils.ChoiceWithDifferentFont("OMORI_GAME", "CBR_DeepWell_RoadEndchoice1", "CBR_DeepWell_RoadEndchoice2"))
  local multipladeepwell = luaCutscenesUtils.GetChoice()

  if multipladeepwell == 1 then
    wait(0.2)
    jump()
    run(40)
  else
    wait(0.2)
    walk(-20)
  end
end

function onEnd(room, wasSkipped)
   enableMovement()
end